import setuptools

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    name         = 'pyremoter',
    version      = '1.0.0',
    author       = 'Alexander D. Kazakov',
    author_email = 'aka@kassowrobots.com',
    description  = 'Useful handler to send and run remote jobs',
    long_description=long_description,
    long_description_content_type="text/markdown",
    url          = 'https://path/to/py-remoter',
    packages     =  setuptools.find_packages(),
    keywords     = ['upload', 'download', 'run'],
    classifiers=[
      'Development Status :: 4 - Beta',
      'Intended Audience :: Developers',
      'Topic :: Software Development :: Build Tools',
      'License :: OSI Approved :: MIT License',
      'Programming Language :: Python :: 3',
      ],
    python_requires='>=3.7',
    install_requires=[
        'paramiko',
        'dataclasses',
      ],
)
